RDKit: RDKit::MarvinMultipleSgroup Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MarvinMultipleSgroup Class Reference

`#include <MarvinDefs.h>`

Inheritance diagram for RDKit::MarvinMultipleSgroup:

## Public Member Functions
| MarvinMultipleSgroup (MarvinMolBase *parent)
| MarvinMultipleSgroup (MarvinMolBase *parent, ptree &molTree)
MarvinMolBase * | copyMol (const std::string &idAppend) const override
void | expandOneMultipleSgroup ()
void | contractOneMultipleSgroup ()
int | getMatchedOrphanBondIndex (std::string atomIdToCheck, std::vector< MarvinBond * > &bondsToTry, std::vector< MarvinBond * > &orphanedBonds) const
std::string | toString () const override
ptree | toPtree () const override
std::string | role () const override
bool | hasAtomBondBlocks () const override
bool | isPassiveRoleForExpansion () const override
bool | isPassiveRoleForContraction () const override
void | processSpecialSgroups () override
void | parseMoleculeSpecific (RDKit::RWMol *mol, std::unique_ptr< SubstanceGroup > &sgroup, int sequenceId) override
Public Member Functions inherited from RDKit::MarvinMolBase
void | addSgroupsToPtree (ptree &pt) const
virtual void | pushOwnedAtom (MarvinAtom *atom)
virtual void | pushOwnedBond (MarvinBond *bond)
virtual void | removeOwnedAtom (MarvinAtom *atom)
virtual void | removeOwnedBond (MarvinBond *bond)
void | setPrecision (unsigned int precision)
int | getExplicitValence (const MarvinAtom &marvinAtom) const
| MarvinMolBase ()
virtual | ~MarvinMolBase ()
int | getAtomIndex (std::string id) const
int | getBondIndex (std::string id) const
const std::vector< std::string > | getBondList () const
const std::vector< std::string > | getAtomList () const
bool | AnyOverLappingAtoms (const MarvinMolBase *otherMol) const
void | cleanUpNumbering (int &molCount, int &atomCount, int &bondCount, int &sgCount, std::map< std::string, std::string > &sgMap, std::map< std::string, std::string > &atomMap, std::map< std::string, std::string > &bondMap)
virtual void | cleanUpNumberingMolsAtomsBonds (int &molCount, int &atomCount, int &bondCount, std::map< std::string, std::string > &sgMap, std::map< std::string, std::string > &atomMap, std::map< std::string, std::string > &bondMap)
void | cleanUpSgNumbering (int &sgCount, std::map< std::string, std::string > &sgMap)
virtual IsSgroupInAtomSetResult | isSgroupInSetOfAtoms (const std::vector< MarvinAtom * > &setOfAtoms) const
MarvinAtom * | findAtomByRef (std::string atomId)
MarvinBond * | findBondByRef (std::string atomId)
void | prepSgroupsForRDKit ()
void | processSgroupsFromRDKit ()
bool | has2dCoords () const
bool | has3dCoords () const
bool | hasAny3dCoords () const
bool | hasAny2dCoords () const
bool | hasCoords () const
void | removeCoords ()
void | parseAtomsAndBonds (ptree &molTree)

## Public Attributes
std::string | title
bool | isExpanded = false
std::vector< MarvinAtom * > | parentAtoms
std::vector< MarvinBond * > | bondsToAtomsNotInExpandedGroup
Public Attributes inherited from RDKit::MarvinMolBase
std::string | molID
std::string | id
unsigned int | coordinatePrecision = 6
std::vector< MarvinAtom * > | atoms
std::vector< MarvinBond * > | bonds
std::vector< std::unique_ptr< MarvinMolBase > > | sgroups
MarvinMolBase * | parent

## Additional Inherited Members
Static Public Member Functions inherited from RDKit::MarvinMolBase
static bool | atomRefInAtoms (MarvinAtom *a, std::string b)
static bool | bondRefInBonds (MarvinBond *a, std::string b)
static bool | molIDInSgroups (std::string a, std::string b)

## Detailed Description

Definition at line 424 of file MarvinDefs.h.

## Constructor & Destructor Documentation

## ◆ MarvinMultipleSgroup() [1/2]

RDKit::MarvinMultipleSgroup::MarvinMultipleSgroup | ( | MarvinMolBase * | parent | ) |

References RDKit::MarvinMolBase::MarvinMolBase(), and RDKit::MarvinMolBase::parent.

## ◆ MarvinMultipleSgroup() [2/2]

RDKit::MarvinMultipleSgroup::MarvinMultipleSgroup | ( | MarvinMolBase * | parent,
|  | ptree & | molTree )

References RDKit::MarvinMolBase::MarvinMolBase(), and RDKit::MarvinMolBase::parent.

## Member Function Documentation

## ◆ contractOneMultipleSgroup()

void RDKit::MarvinMultipleSgroup::contractOneMultipleSgroup | ( |  | ) |

## ◆ copyMol()

MarvinMolBase * RDKit::MarvinMultipleSgroup::copyMol | ( | const std::string & | idAppend | ) | const
| overridevirtual

Implements RDKit::MarvinMolBase.

References RDKit::MarvinMolBase::MarvinMolBase().

## ◆ expandOneMultipleSgroup()

void RDKit::MarvinMultipleSgroup::expandOneMultipleSgroup | ( |  | ) |

## ◆ getMatchedOrphanBondIndex()

int RDKit::MarvinMultipleSgroup::getMatchedOrphanBondIndex | ( | std::string | atomIdToCheck,
|  | std::vector< MarvinBond * > & | bondsToTry,
|  | std::vector< MarvinBond * > & | orphanedBonds ) const

## ◆ hasAtomBondBlocks()

bool RDKit::MarvinMultipleSgroup::hasAtomBondBlocks | ( |  | ) | const
| overridevirtual

Implements RDKit::MarvinMolBase.

## ◆ isPassiveRoleForContraction()

bool RDKit::MarvinMultipleSgroup::isPassiveRoleForContraction | ( |  | ) | const
| overridevirtual

Reimplemented from RDKit::MarvinMolBase.

## ◆ isPassiveRoleForExpansion()

bool RDKit::MarvinMultipleSgroup::isPassiveRoleForExpansion | ( |  | ) | const
| overridevirtual

Reimplemented from RDKit::MarvinMolBase.

## ◆ parseMoleculeSpecific()

void RDKit::MarvinMultipleSgroup::parseMoleculeSpecific | ( | RDKit::RWMol * | mol,
|  | std::unique_ptr< SubstanceGroup > & | sgroup,
|  | int | sequenceId )
| overridevirtual

Reimplemented from RDKit::MarvinMolBase.

## ◆ processSpecialSgroups()

void RDKit::MarvinMultipleSgroup::processSpecialSgroups | ( |  | ) |
| overridevirtual

Reimplemented from RDKit::MarvinMolBase.

## ◆ role()

std::string RDKit::MarvinMultipleSgroup::role | ( |  | ) | const
| overridevirtual

Implements RDKit::MarvinMolBase.

## ◆ toPtree()

ptree RDKit::MarvinMultipleSgroup::toPtree | ( |  | ) | const
| overridevirtual

Reimplemented from RDKit::MarvinMolBase.

## ◆ toString()

std::string RDKit::MarvinMultipleSgroup::toString | ( |  | ) | const
| overridevirtual

Implements RDKit::MarvinMolBase.

## Member Data Documentation

## ◆ bondsToAtomsNotInExpandedGroup

std::vector<MarvinBond *> RDKit::MarvinMultipleSgroup::bondsToAtomsNotInExpandedGroup

Definition at line 435 of file MarvinDefs.h.

## ◆ isExpanded

bool RDKit::MarvinMultipleSgroup::isExpanded = false

Definition at line 432 of file MarvinDefs.h.

## ◆ parentAtoms

std::vector<MarvinAtom *> RDKit::MarvinMultipleSgroup::parentAtoms

Definition at line 433 of file MarvinDefs.h.

## ◆ title

std::string RDKit::MarvinMultipleSgroup::title

Definition at line 431 of file MarvinDefs.h.

The documentation for this class was generated from the following file:

- MarvinDefs.h